#!/usr/bin/env node

var coz = require('coz'),
    path = require('path'),
    async = require('async'),
    buds = require('apeman-tmpl-contrib-official/lib/command');

var pkg = require('../package.json');


var basedir = path.resolve(__dirname, '..');

process.chdir(basedir);

async.series([
    function (callback) {
        coz.render([
            'lib/**/.*.bud',
            'test/**/.*.bud'
        ], callback);
    },
    function (callback) {
        buds.render({
            pkg: pkg,
            command: require('../lib/command'),
            exampleApemanfile: 'docs/examples/Apemanfile-example.js',
            exampleUsage: 'docs/examples/usage-example.js'
        }, callback);
    }
], function (err) {
    if (err) {
        console.error(err);
    }
});