/**
 * Logger for ui.
 * @memberof module:apeman-ui/lib
 * @inner
 * @augments module:apeman-commons-logging/lib~ConsoleLogger
 * @constructor UiLogger
 * @param {object} config - Logger configuration.
 */

"use strict";

var ConsoleLogger = require('apeman-commons-logging/lib/console_logger'),
    MessageFormatter = require('apeman-commons-logging/lib/message_formatter');

module.exports = ConsoleLogger.define(
    {
        /** @lends module:apeman-ui/lib~UiLogger.prototype */
        logConfig: function (name, config) {
            var s = this;
            var formatter = new MessageFormatter();
            s.debug(name);
            s.debug(formatter.toYaml(config));
            return s;

        }
    }
);
