/**
 * Runner of "ui" command.
 * @memberof module:apeman-ui/lib
 * @inner
 * @constructor UiRunner
 * @param {object} config - Runner configuration.
 */

"use strict";

var async = require('async'),
    extend = require('extend'),
    invocating = require('apeman-commons-invocating');

/** @lends UiRunner */
function UiRunner() {
    var s = this;
    s.init.apply(s, arguments);
}

UiRunner.prototype = {
    /** @constructs UiRunner */
    init: function (config) {
        var s = this;
        extend(s, config);
        s.validate();
    },
    /**
     * Apemanfile instance.
     */
    apemanfile: null,
    /**
     * Run a ui.
     * @param {string} name - Name of ui to generate..
     * @param {function} callback - Callback when done.
     */
    run: function (name, callback) {
        var s = this,
            apemanfile = s.apemanfile;

    },
    /**
     * Validate configuration.
     */
    validate: function () {
        var s = this;
        if (!s.apemanfile) {
            throw new Error('apemanfile is required.');
        }
    }

};

module.exports = UiRunner;